---
updatedAt: 2026-03-06T22:31:38.000Z
agentTools:
  siteIndex: https://developer.paylocity.com/llms.txt
  projectIndex: https://developer.paylocity.com/integrations/llms.txt
---

# Working with Pay Statement Endpoints

```shell Shell
-- Authentication
curl --location/request POST "https://dc1demogwext.paylocity.com/public/security/v1/token" \  
	--header "Content-Type: application/x-www-form-urlencoded" \  
	--data-urlencode "client_id=<your client id>" \  
	--data-urlencode "client_secret=<your secret>" \  
  --data-urlencode "grant_type=client_credentials"
  
  -- Call Pay Statements for Specific Date Range
curl --request GET \
     --url 'https://dc1demogwext.paylocity.com/apiHub/payrollhistory/v1/companies/companyId/employees/employeeId/payStatements?includeTotalCount=false&limit=100&offset=0' \
     --header 'Authorization: Bearer JWT_GOES_HERE' \
     --header 'accept: application/json'

  -- Call Pay Statements for Specific Pay Statement
curl --request GET \
     --url 'https://dc1demogwext.paylocity.com/apiHub/payrollhistory/v1/companies/companyId/employees/employeeId/payStatements?includeTotalCount=false&limit=100&offset=0' \
     --header 'Authorization: Bearer JWT_GOES_HERE' \
     --header 'accept: application/json'
```

```json Response Example
{"success":true}
```

# Step 1: Authorization

<!-- shell@2-6 -->

Once you send an auth request with your Client ID and Client Secret, the response includes an access token that you can use to make other API requests.

# Step 2: GET Pay Statements for Date Range

<!-- shell@9-12 -->

Retrieves all pay statements for the specified employee within the given date range.

# Step 3: Get Pay Statements for Specific Statement Id

<!-- shell@15-18 -->

Retrieves the details of a single pay statement by its ID.